// EatingFish.java
import ch.aplu.jgamegrid.*;

publicclass EatingFish extends Actor
{
  public EatingFish()
  {
    super("sprites/fish.gif", 2);
  }

  public void act()
  {
    move();
    tryToEat();
    if (getX() == 9)
    {
      turn(90);
      setHorzMirror(true);
    }
    if (getX() == 0)
    {
      turn(270);
      setHorzMirror(false);
    }
  }

  private void tryToEat()
  {
    show(0);
    Actor actor = gameGrid.getOneActorAt(getLocation(), Alga.class);
    if (actor != null)
    {
      actor.hide();
      show(1);
    }
  }
}
